error al compilar(creando bibilioteca)

al momento de compilar me sale este error de que

“no se pudo el programa ALL_BUILD el sistema no puede encontrar el archivo especificado”

y el archivo si esta en la carpeta

ademas sale esto:

1> – WARNING - Missing or outdated git - did you forget to install a recent version?

1> – WARNING - Observe that for revision ID/hash to work you need at least version 1.7

1> – WARNING - Continuing anyway, but setting the revision-ID and hash to Rev:0 Hash: Archive

ahh y me falto acotar q tengo el git actualizado a la version 1.7

Te recomiendo, descargar los archivos nuevamente; Revisar si estas compilando bien el Cmake.

En el caso que hayas metido un .patch, te sugiero que revises si es apto para la revisión que estas utilizando.

Un saludo.

si lo descargue nuevamente desd el git extension, lo compile de nuevo con el cmake, no le eh aplicado algun pacth y descargue el ultimo core de aca mismo.

me fije en esta guia http://www.trinitycore.org/w/How-to:Win

Intenta con las opciones “Clean solution” y después con “Rebuild Solution”.

ya lo hic y nada man =/ no me lanzo errores pero igual quedo en rev:0 y cuando le doy worldserver.exe se cierra la ventana de golpe y no me lanza ningun error nisiquiera me sale en el blog de notas que te dice si hay error o no…

Esta mal creado con el Cmake. Prueba a hacer file->delete cache está en los menus del cmake.

Si no te va reinstala el git (todo) y reconfiguralo como en la guia, sobre todo la parte de los paths, y la del usuario, para que te registre bien. Cuando no crea estos archivos o no identifica su path es lo mas probable que el git no este bien direccionado, y por consiguiente el cmake no hace bien las cosas, le faltan datos, etc, otra es que el cmake no ande bien, yo tengo la 2.8.2 y me anda perfecto. Comprueba tambien openssl, y visualstudio o el compilador, que este bien agregado los paths en el sistema.

saludos

–Eilo

hola man gracias por tratar de ayudarme pero igual me fije un poco mas el en cmake, desintale por completo el git con todo y extension y lo volvi a instalar y volvi a clonar y me fui para el cmake cuando le doy config me sale esto.

Detected 32-bit platform

Using supplied MySQL sources

MSVC: Enabled large address awareness

MSVC: Overloaded standard names

MSVC: Disabled NON-SECURE warnings

MSVC: Disabled POSIX warnings

MSVC: Disabled generic compiletime warnings

WARNING - Missing or outdated git - did you forget to install a recent version?

WARNING - Observe that for revision ID/hash to work you need at least version 1.7

WARNING - Continuing anyway, but setting the revision-ID and hash to Rev:0 Hash: Archive

  • TrinityCore revision : 0 (Archive)

  • Install core to : C:/Program Files (x86)/TrinityCore

  • Build world/auth : Yes (default)

  • Build with scripts : Yes (default)

  • Build map/vmap tools : No (default)

  • Build core w/PCH : Yes (default)

  • Build scripts w/PCH : Yes (default)

  • Use SFMT for RNG : No (default)

  • Show compile-warnings : No (default)

  • Use coreside debug : No (default)

  • Use MySQL sourcetree : Yes (default)

  • Install SQL-files : No (default)

– MySQL 5.5.9

SCRIPT PREPARATIONS

→ Prepared: Spells

→ Prepared: Commands

→ Prepared: Examples

→ Prepared: Custom

→ Prepared: World

→ Prepared: Outdoor PVP Zones

→ Prepared: Eastern Kingdoms

→ Prepared: Kalimdor

→ Prepared: Outland

→ Prepared: Northrend

SCRIPT PREPARATION COMPLETE

Configuring done

no coloco lo que me sale en spooiler porque no se como ponerlo.